<%@page import="java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.text.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	}
	m05bFileLog miLog = new m05bFileLog();
	
	String persona = (String) session.getAttribute("persona");
	String matricula = request.getParameter("Matricula");
	if (matricula==null || matricula.equals("NULL")){
	       matricula="";
    }
    String tipo = request.getParameter("Tipo")==null?"NV":request.getParameter("Tipo");
    String orden = request.getParameter("Orden")==null?"DESC":request.getParameter("Orden");
	String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	String listaconcepto="";
	String concepto=(request.getParameter("Conceptos")==null)?"":request.getParameter("Conceptos"); 
    //ArrayList a = new ArrayList();
	
    //Enumeration e= request.getParameterNames();
    //String aux="";
    //String valor="";
    //boolean bolin=false;
    //StringBuffer UURL = new StringBuffer();
    //UURL.append(request.getRequestURL());
		   //miLog.addTraza(persona , "m05bVehGastos" , "UURL: " + UURL.toString(), m05bConstantes.LOG_NIVEL_BAJO);    
    //while (e.hasMoreElements()){
      //aux=(String)e.nextElement();
		   //miLog.addTraza(persona , "m05bVehGastos" , "aux: " + aux, m05bConstantes.LOG_NIVEL_BAJO);
		   
      //if (aux.indexOf("chkBoxG")!=-1){
      	  //bolin=true;
      	  //valor=request.getParameter(aux);
      	  //a.add(valor);
          //concepto=concepto+"'"+valor+"',";
          //listaconcepto=listaconcepto+"&"+aux+"="+valor;
		   //miLog.addTraza(persona , "m05bVehGastos" , "concepto: " + concepto, m05bConstantes.LOG_NIVEL_BAJO);
		   //miLog.addTraza(persona , "m05bVehGastos" , "listaconcepto: " + listaconcepto, m05bConstantes.LOG_NIVEL_BAJO);
      //}
    //}
    //if (bolin){
         //concepto=concepto.substring(0,concepto.length()-1);
   // }
    if ((concepto==null)||(concepto.equals(""))){
    	concepto="'C','V'";
    	
//a.add("COMBUSTIBLE");
    	//a.add("VARIOS");

    	}
	

    
%>	
<%@ include file="/m05bIdioma.inc"%>
	<% 

	String img1="grabar.gif";
	String img2="buscar.gif";
	if(!idiomaSes.equals("es")){ 
		
		img1="grabatu.gif";
		img2="bilatu.gif";
	}	
    %>
<HTML>
<head>
		<title><%= resTit.getString("titVehGastos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charsGastoset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
			
		<script language="javascript1.2" src="/parquemovil/js/m05Funciones.js"></script>
		<script language="javascript1.2" src="/parquemovil/js/m05Horas.js"></script>
        <script language="javascript1.2" src="/parquemovil/js/formateador.js"></script>

<script>
function fncConstruirParametrosConceptos(){
        var Parametros="";
        var Conceptos="";
        numRegistros2=document.formVehGastos.chkBoxG.length;
        Parametros+="&Conceptos=";
        for(n=0;n<numRegistros2;n++){
          if (document.formVehGastos.chkBoxG[n].checked==true){
           if (n==0){
               //Parametros+="'"+document.formSolicitud.chkBoxG[n].value+"'";
               Parametros+="'"+document.formVehGastos.chkBoxGI[n].value+"'";
               Conceptos+=""+document.formVehGastos.chkBoxGI[n].value+"";
               
           }else{
               if (Parametros=="&Conceptos="){
                   //Parametros+="'"+document.formSolicitud.chkBoxG[n].value+"'";
                   Parametros+="'"+document.formVehGastos.chkBoxGI[n].value+"'";
                    Conceptos+=""+document.formVehGastos.chkBoxGI[n].value+"";
               }else{
                   //Parametros+=",'"+document.formSolicitud.chkBoxG[n].value+"'";     
                   Parametros+=",'"+document.formVehGastos.chkBoxGI[n].value+"'";
                   Conceptos+=","+document.formVehGastos.chkBoxGI[n].value+"";                                   
               }   
           }        
           
          }
       }
       Parametros+="";
       document.formVehGastos.Conceptos.value=Conceptos;
       return Parametros;
       }
</script>
			
<BODY class="body" style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_GASTOS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_GASTOS%>?Tipo=<%=tipo%>&Orden=<%=orden%>"+"<%=listaconcepto%>";	 
</script>			
		
			<%@include file="m05bVehiculosFijo.inc"%>
			<FORM NAME="formVehGastos" METHOD="POST" >
	
	<%if (mensaje.equals("true")) {
			outMsg.println("<script>alert('" + m05bMensajes.MSG_GRABACION_OK + "');</script>");
	}
	outMsg.close();			%>
				
					<%
					String Tarjeta="", Tipo="", Control="", Concepto="", Nombre="";
					String Fecha="", Hora="", Importe="", Km="", Litros="", Ver="", Cargabon="";
					int contTotal=0;

					
					StringBuffer sql = new StringBuffer();
					StringBuffer sql2= new StringBuffer();
					java.sql.Statement pstmtConceptos=null;
					java.sql.Statement pstmtGastos = null;
					ResultSet rsGastos = null;
					ResultSet rsConceptos = null;				
					sql.append("SELECT ").append(m05bConstantes.COL_18_TARJETA).append(",");
					sql.append(m05bConstantes.COL_18_TIPO).append(",").append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+") as ");
                    sql.append(campoTexto+m05bConstantes.COL_99_DESCRIPCION);                 
					sql.append(",").append(m05bConstantes.COL_18_NCOMERCIO).append(",");
					sql.append(m05bConstantes.COL_18_FECHA).append(",").append(m05bConstantes.COL_18_IMPORTE);
					sql.append(",").append(m05bConstantes.COL_18_KM).append(",").append(m05bConstantes.COL_18_LITROS);
					sql.append(",").append(m05bConstantes.COL_18_VERIFIC).append(",").append(m05bConstantes.COL_18_CARGO);
					sql.append(",").append(m05bConstantes.COL_18_CONTROL);
					sql.append(",").append(m05bConstantes.COL_18_CARGO);
					sql.append(" FROM ").append(m05bConstantes.TAB_OPEBANCOS).append(" inner join  M0599T00 on  M0599T00.COD_DESC_99=M0518T00.TIPO_18 and COD_TAB_99=2 ");
					sql.append(" WHERE ").append(m05bConstantes.COL_18_MATRICULA);
					sql.append("='").append(matricula).append("'");
					if (tipo.equals("NV")) {
						sql.append(" AND ").append(m05bConstantes.COL_18_VERIFIC).append("='N'");
					}
                    sql.append(" AND ").append(m05bConstantes.COL_18_TIPO).append(" in (").append(concepto).append(")");
					sql.append(" 	ORDER BY  ").append(m05bConstantes.COL_18_FECHA).append(" ").append(orden).append(", ").append(m05bConstantes.COL_18_TARJETA);					    				
		            miLog.addTraza(persona , "m05bVehGastos" , "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
                    sql2.append("SELECT ").append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+") as ");
                    sql2.append(campoTexto+m05bConstantes.COL_99_DESCRIPCION);
                    sql2.append(" , ").append(m05bConstantes.COL_99_CODDESC).append(" FROM ");
                    sql2.append(m05bConstantes.TAB_DESCRIPCIONES).append(" WHERE ");
                    sql2.append(m05bConstantes.COL_99_CODTABLA).append("=").append(m05bConstantes.DESC_CONCEPTOSGASTOS);					
                    miLog.addTraza(persona , "m05bVehGastos" , "sql2: " + sql2.toString(), m05bConstantes.LOG_NIVEL_BAJO);
                    
		try {
			           conexion = miConexion.getConnection();
					    pstmtGastos = conexion.createStatement();
       					rsGastos = pstmtGastos.executeQuery(sql.toString());
					%>
			  	       <TABLE class="general"  >
			  	        <tr>
			               <%pstmtConceptos = conexion.createStatement();
					         rsConceptos = pstmtConceptos.executeQuery(sql2.toString());
					         int i=1;
					         String sConcepto="";
				            while (rsConceptos.next() == true)  {  
			  	                sConcepto=rsConceptos.getString(1);
		   	               
		   	                   if (!(rsConceptos.getString(2).equals("P"))){
		   	                  %>
	                           <td class="inputField" width="10%" align="left"><input type="checkbox" name="chkBoxG" value="<%=sConcepto%>" class="inputField" checked><%=sConcepto%><input cLASS="listCellHidden" type="checkbox" name="chkBoxGI" value="<%=rsConceptos.getString(2)%>"/></td>
	                           	<%}else{%>
                               <td class="inputField" width="10%" align="left"><input type="checkbox" name="chkBoxG" value="<%=sConcepto%>" class="inputField" > <%=sConcepto%><input cLASS="listCellHidden" type="checkbox" name="chkBoxGI" value="<%=rsConceptos.getString(2)%>"/></td>	                           	
	                          <%} %>
	                          <%i++;}%>

			  	        <td align="right"  >
			  	           <%if 	(sExisteMatricula.equals("1")){%>
							<INPUT TYPE="IMAGE" style="cursor: hand"  VALUE="Buscar" ONCLICK="JavaScript:fncCambiarSeleccion();return false;" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/<%=img2%>">
				          <% } if ((rsGastos.next() == true) && (sExisteMatricula.equals("1"))) {  
		        	  		 %>
		        	  		 <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar();return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/<%=img1%>">
							   		
					   	  <% if (rsGastos != null)
								rsGastos.close(); 
					   	     } %>
					   	  	</td>			
			  	        </tr>
			  	       </TABLE>
			  	       <TABLE >	
				         <tr>
						  <td class="grupoAsignacion" align="left">
						      		<% if (tipo.equals("T")) { %>
								      <input type="RADIO" class="inputField" NAME="Tipo" CHECKED VALUE="T" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etTodos")%></FONT>
								      <input type="RADIO" class="inputField" NAME="Tipo" VALUE="NV" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etNoVerificados")%></FONT>
								<% } else if (tipo.equals("NV")) { %>
								      <input type="RADIO" class="inputField" NAME="Tipo" VALUE="T" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etTodos")%></FONT>
								      <input type="RADIO" class="inputField" NAME="Tipo" CHECKED VALUE="NV" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etNoVerificados")%></FONT>
								<% }  %>
				          </td>
						  <td width="10%">	</td>		          	  
						  <td class="grupoAsignacion" align="right">
								<% if (orden.equals("ASC")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden" CHECKED VALUE="ASC" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etFAsc")%></FONT>
								      <input type="RADIO" class="inputField" NAME="Orden" VALUE="DESC" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etFDesc")%></FONT>
								<% } else if (orden.equals("DESC")) { %>
								      <input type="RADIO" class="inputField" NAME="Orden" VALUE="ASC" width="40%" border='0'/><FONT Face="verdana" size="2"><%= res.getString("etFAsc")%></FONT>
								      <input type="RADIO" class="inputField" NAME="Orden" CHECKED VALUE="DESC" width="40%"  border='0'/><FONT Face="verdana" size="2"><%= res.getString("etFDesc")%></FONT>
								<% }  %>
						  </td>
				          <!--td align="right" width="10%"> <INPUT TYPE="IMAGE" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/> </td-->
					     </tr>

       
					  <TABLE class="general">
					    <tr>
                          <td width="2%" class="inputFieldTitle">&nbsp&nbsp</td>
					      <td class="inputFieldTitle"><%= res.getString("etTarjeta")%></td>
					      <!--td class="inputFieldTitle">Tipo</td-->
					      <td class="inputFieldTitle">&nbsp;C/A&nbsp;</td>
					      <td class="inputFieldTitle"><%= res.getString("etConcepto")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etComercio")%></td>
					      <td class="inputFieldTitle" colspan="2"><%= res.getString("etFecha")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etImporte")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etKm")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etLitros")%></td>
					      <td class="inputFieldTitle"><%= res.getString("etVerificado")%></td>
					    </tr>
						<%	rsGastos = pstmtGastos.executeQuery(sql.toString());
						DecimalFormatSymbols simbolos = DecimalFormatSymbols.getInstance(Locale.FRENCH);
						  DecimalFormat df = new DecimalFormat("#,###,##0.00",simbolos);
					
						  DecimalFormat df2 = new DecimalFormat("#,###,##0",simbolos);
							while (rsGastos.next() == true){
			                       ++contTotal;
					               Tarjeta=rsGastos.getString(m05bConstantes.COL_18_TARJETA);
					               Tipo=rsGastos.getString(m05bConstantes.COL_18_TIPO);
					               Concepto=rsGastos.getString(campoTexto+m05bConstantes.COL_99_DESCRIPCION);
					               if (Concepto.equals("PEAJE AUTOPISTAS")) {
										Concepto = "PEAJE";
					               }
					           
					               Nombre=rsGastos.getString(m05bConstantes.COL_18_NCOMERCIO)==null?"":rsGastos.getString(m05bConstantes.COL_18_NCOMERCIO);
					               Fecha=rsGastos.getString(m05bConstantes.COL_18_FECHA);
					               Control=rsGastos.getString(m05bConstantes.COL_18_CONTROL);

					               if (Fecha==null || Fecha.equals("")){
					                   Fecha="";
					                   Hora="";
					               }
					               else{
					                   Hora=comun.Hora(Fecha);
					                   Hora=comun.formatearHora(Hora);
					                   Fecha=comun.Mes(Fecha,campoTexto3);

					               }
					               Importe=df.format(rsGastos.getDouble(m05bConstantes.COL_18_IMPORTE));
					               Km=rsGastos.getString(m05bConstantes.COL_18_KM);
					               Litros=rsGastos.getString(m05bConstantes.COL_18_LITROS);
					               if (Km==null || Km.equals(""))
					                   Km="";
					               else{
					            	   Km=comun.formatearStrMiles(rsGastos.getString(m05bConstantes.COL_18_KM));
					               }
					               if (Litros==null || Litros.equals(""))
					                   Litros="";
					               else
					            	   Litros=df.format(rsGastos.getDouble(m05bConstantes.COL_18_LITROS));
								
					               Ver=rsGastos.getString(m05bConstantes.COL_18_VERIFIC);
					               Cargabon=rsGastos.getString(m05bConstantes.COL_18_CARGO);
					               
				           %>

					               <tr>
					              			 <td> <input name=<%="chGrabar" + contTotal%> type="checkbox" class="inputFieldTitle" width="2%" ></td>
					                    
										      <td class="inputFieldTitleBlank"><input type="hidden" name='<%="Codigo" + contTotal%>' value='<%=Control%>' ><A href="JavaScript:fncModificar('<%=Control%>')"><%=Tarjeta%></A></td>
										      <!--td align="left" class="inputFieldTitleBlank"><%//=Tipo%></td-->
										      <td class="inputFieldTitleBlank" style="text-align: center"><%=Cargabon%></td>
										      <td class="inputFieldTitleBlank"><%=Concepto%></td>
										      <td class="inputFieldTitleBlank"><%=Nombre%></td>
										      <td class="inputFieldTitleBlank"><INPUT class="inputField" TYPE="hidden" NAME='<%="Fecha" + contTotal%>' VALUE="<%=Fecha%>"><%=Fecha%></td>
										      <td class="inputFieldTitleBlank"><%=Hora%></td>
                                              <input type="hidden" name=<%="Importe"+contTotal%> value="<%=Importe%>"> 
                                              <!-- script>
                                          //       formatNumeroDecimalConSigno(document.formVehGastos.<%="Importe"+contTotal%>,10,2);
                                              </script-->	
                                              <td  style="text-align: right" class="inputFieldTitleBlank"><script> document.write(document.formVehGastos.<%="Importe"+contTotal%>.value);</script></td>
                                             <% if (!(Tipo.equals(m05bConstantes.GASTO_PEAJE))){%>
                                             <td><INPUT class="inputField" TYPE="TEXT" NAME=<%="Km" + contTotal%> VALUE="<%=Km%>" size="7" maxlength="7" onblur="javascript: <%="chGrabar" + contTotal%>.checked=true;formatNumero(this);return false;"/></td>
                                             <td><INPUT class="inputField" TYPE="TEXT" NAME=<%="Litros" + contTotal%> VALUE="<%=Litros%>" size="9" maxlength="9" onblur="javascript: <%="chGrabar" + contTotal%>.checked=true;formatNumeroDecimal(this,6,2);return false;"/></td>
				   						        <!-- script>
											      document.write('<td><INPUT class="inputField" TYPE="TEXT" NAME=<%="Km" + contTotal%> VALUE="<%=Km%>" size="7" maxlength="7" onblur="javascript: <%="chGrabar" + contTotal%>.checked=true;formatNumero(this);return false;"/></td>');
											      document.write('<td><INPUT class="inputField" TYPE="TEXT" NAME=<%="Litros" + contTotal%> VALUE="<%=Litros%>" size="9" maxlength="9" onblur="javascript: <%="chGrabar" + contTotal%>.checked=true;formatNumeroDecimal(this,6,2);return false;"/></td>');
                                             //     formatNumeroDecimal(document.formVehGastos.<%="Litros" + contTotal%>,6,2);
                                              //    formatNumero(document.formVehGastos.<%="Km" + contTotal%>);											      
											   </script-->
											  <%}else{%>
												  <td></td>
												  <td></td>
											  	 
											      <INPUT class="inputField" TYPE="HIDDEN" NAME=<%="Km" + contTotal%>  />
											      <INPUT class="inputField" TYPE="HIDDEN" NAME=<%="Litros" + contTotal%>  />											     
											  <%}%>
											  <td><input type="checkbox" name=<%="chVerif" + contTotal%> class="inputFieldTitle" width="2%" onclick="javascript: <%="chGrabar" + contTotal%>.checked=true;" <%if (Ver.equals("S")){%> checked <%}%> ></td>
										        
                            
											      
				   						</script>
					    		   </tr>									     
					     

	   
					 <%}
					  } catch (Exception ex){
						   miLog.addTraza(ex);
					  } finally {
							if (rsGastos != null)
								rsGastos.close();
							if (pstmtGastos != null)
								pstmtGastos.close();
							if (conexion != null)
								conexion.close();
					  }
					    %>
			          </TABLE>

					     <TABLE class="general">
							<tr>
								<td> <input type='hidden' name="listaBD" VALUE="" ></td>
								<td> <input type='hidden' name="Conceptos" VALUE="" ></td>
								<td> <input type='hidden' name="Matricula" VALUE="<%=matricula%>" colspan="6"></td>
							
			 				</tr>
							<tr align="center">
								<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contTotal%></td>
						 	</tr>
							<tr> </tr>
					   </TABLE>
	
			</FORM>
			 </td>
			</tr>
			<tr>
				<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
			</tr>
			</table>

<SCRIPT language='javascript'>
			    function fncModificar(codigo) {
			       var docu=document.formVehGastos;
			       docu.action="m05bGenerarGastosTarjetaServlet?Matricula=<%=matricula%>&Codigo=" + codigo;
			       docu.submit();
			    }
			    
			 	/*function fncNuevo(){
			       var docu=document.formVehGastos;
			       docu.action="m05bGastosTarjetaJsp.jsp?Matricula=<%=matricula%>&Cabecera=false";
			       docu.submit();
			    }*/
			    	
				function fncCambiarSeleccion() {
					var tipo;
			        var docu=document.formVehGastos;
					if (docu.Tipo[0].checked) {
						tipo="T";
					} else  {
						tipo="NV";
					}
					if (docu.Orden[0].checked) {
					    orden="ASC";
					} else  {
						orden="DESC";
						}
					var Parametros=fncConstruirParametrosConceptos();
			       	docu.action="m05bVehGastosJsp.jsp?Matricula=<%=matricula%>&Tipo=" + tipo+"&Orden=" + orden+Parametros;;
					docu.submit();
			    }
				
				
		    function fncGrabar()  {
			    // Enviar en un array los datos modificados para grabar BD
			    var i,j=0, bGrabar="1";
				var actual, gasto, km, litros, verif, fecha;
		        var datosBD="";
		        var cont = <%=contTotal%>;
		        ++cont;
		        var docu=document.formVehGastos;
		        for (i=0;( (i < cont) && (bGrabar == "1") );i++){
		            
		            actual=document.all("chGrabar"+i);
    	            if ( (actual != null) && (actual.checked==true) ) {
		            	//Codigo gasto
		            	
		            	gasto=document.all("Codigo"+i).value;

		   	            if (datosBD != "") {
							datosBD = datosBD + "@" + gasto;  // Separarador entre gastos

			            } else {
			            	datosBD = datosBD + gasto;

			            }
			           
			            datosBD = datosBD + "#";  // Separarador entre datos del gasto
			            // Km
		   	            km=document.all("Km"+i).value;
		   	            fec=document.all("Fecha"+i).value;
		   	            km=trimPuntosComas(km);
						var kGasto = parseInt(km,10);
						KmActV=document.formVehiculos.KmActF.value;
						FKmActV=document.formVehiculos.FKmActF.value;
						KmActV=trimPuntosComas(KmActV);
     					var kActual = parseInt(KmActV,10);

						if (document.formVehiculos.SituacionCod.value != "B") {

						//if (!(comparaFechas(document.formVehiculos.FKmAct.value, document.all("Fecha"+i).value )) ) {

						//            alert ("La fecha de gasto (" + document.all("Fecha"+i).value + ") debe ser mayor o igual que \nfecha Km. actuales (" + document.formVehiculos.FKmAct.value + ").");
						//			bGrabar="0";
						//} else if (kGasto < kActual ){ 
							
						//            alert ("Km. gasto debe ser mayor o igual que Km. actuales del vehículo" );
						//			bGrabar="0";
						//} else 

						kmComparaKmActual(kActual,kGasto,FKmActV,fec);
						
						if ((kGasto-kActual)>20000){

							        var msg = "Los kilómetros recorridos son superiores a 20.000\n    Kilómetros Actuales: " + kActual +"\n    Nuevos Kilmetros Actuales: " + kGasto +"\nEst seguro de los Kilómetros que ha introducido?";
							        if (!confirm (msg)){
											bGrabar="0";
							        }
						}
						}//Situacion!=B
						if (bGrabar == "0")  {
			   	            actual.checked = false;

						} else {
							if ( (km == "")  || (km == null)) {
								km="null";
							}
				            datosBD = datosBD + km + "#";
				            // Litros
			   	            litros=document.all("Litros"+i).value;
                            litros=trimPuntosComas(litros);
							if ( (litros == "")  || (litros == null)) {
								litros="null";
							}
				            datosBD = datosBD + litros + "#";
				            // Verificado
				            verif="N";
			   	            if (document.all("chVerif"+i).checked) {
								verif="S";
			   	            }
				            datosBD = datosBD + verif + "#";
				            // Fecha gasto
			   	            fecha=document.all("Fecha"+i).value;
							if (fecha == "") {
								fecha="null";
							}
				            datosBD = datosBD + fecha;

			            }  // Fin if bGrabar
		            } // Fin if actual
		        } // Fin while
				if (bGrabar == "1")  {
						var tipo;
						var orden;
						if (docu.Tipo[0].checked) {
							tipo="T";
						} else  {
							tipo="NV";
						}
						if (docu.Orden[0].checked) {
							orden="ASC";
						} else  {
							orden="DESC";
						}
				        docu.listaBD.value=datosBD;
				        					var Parametros=fncConstruirParametrosConceptos();
				        docu.action="m05bVerificarGastosTarjServlet?Tipo=" + tipo+"&Orden=" + orden+Parametros;

						docu.submit();
				}
	    }  // Fin funcion fncGrabar
	    	
    setTimeout('initSlide();', 1);

    var tabGastos=document.getElementById("tabGastos");
    tabGastos.style.backgroundColor="#000078";
    numRegistros2=document.formVehGastos.chkBoxG.length;
    var conceptos2="<%=concepto%>";
    conceptos2=trimComilla(conceptos2);

    conceptos=conceptos2;
    for(n=0;(n<numRegistros2);n++){
       document.formVehGastos.chkBoxGI[n].checked=false;
       document.formVehGastos.chkBoxG[n].checked=false;
    }

                    var sItem=null;
                    sItem = conceptos.split(",");
                     var bIgual=false;
                    for(b=0;b<sItem.length;b++){
                       bIgual=false;
                       for(n=0;((n<numRegistros2)&& (!bIgual));n++){

                            var pos=document.formVehGastos.chkBoxGI[n].value.indexOf(sItem[b]);

                            if (pos>=0){
                             document.formVehGastos.chkBoxG[n].checked=true;
                             document.formVehGastos.chkBoxGI[n].checked=true;
                             bIgual=true;
                        }
                       }
                    }
                    
    
  
    
</SCRIPT>
	
</BODY>
</HTML>